Public Class ChildClass
    Inherits ParentClass

    Protected _teasable As Boolean
    Private _siblingName As String

    Public Property IsTeasable() As Boolean
        Get
            Return _teasable
        End Get
        Set(ByVal Value As Boolean)
            _teasable = Value
        End Set
    End Property

    Public Overridable Function JumpAround() As String
        Return "ChildClass.JumpAround"
    End Function

    ' Thank Welson for thinking this one up :)
    Public Overridable Shadows Function Play() As String
        Return "ChildClass.Play. Shadowed"
    End Function

    ' This is an example of overloading a function
    Public Overloads Function ShakeHands() As String
        Return "Child.ShakeHands w/o parameters. Overloaded"
    End Function

    ' this one can be overriden in a descendant
    Public Overridable Overloads Function ShakeHands(ByVal name As String) As String
        Return "ChildClass.ShakesHands with name. Overloaded"
    End Function

    Public Sub New()
        _teasable = False
    End Sub
End Class
