Public Class SubChild2Class
    Inherits ChildClass
    Private _culture As String
    Private _favoriteNumber As Integer

    Public Property FavoriteNumber() As Integer
        Get
            Return _favoriteNumber
        End Get
        Set(ByVal Value As Integer)
            _favoriteNumber = Value
        End Set
    End Property

    Public Property Culture() As String
        Get
            Return _culture
        End Get
        Set(ByVal Value As String)
            _culture = Value
        End Set
    End Property

    Public Overloads Overrides Function JumpAround() As String
        Return "SubChildClass.JumpAround. This is an override."
    End Function

    ' This one isn't an override, it's an overload
    Public Overloads Function JumpAround(ByVal foo As String) As String
        Return "SubChildClass.JumpAround w/parameters. This is an overload."
    End Function

    ' This method shadows a method of the ParentSample
    ' class, i.e. the grandparent.
    Public Overrides Function DoSomething() As String
        Return "SubChildClass.DoSomething. This is an override."
    End Function

    Public Sub New()
        _culture = "Canadian"
        _favoriteNumber = 5
        _age = 3

        SubChild2Class._number += 1
    End Sub

    Public Shared _number As Integer
    ' this is a shared subroutine
    Public Shared Function NumberOfSubChild2Instances() As Integer
        Return _number
    End Function
End Class
