Public Class MazdaTribute
    Inherits SUV
    Private Shared discount As Integer = 10

    ' Notice that I have a non-shared propery returning a shared value. This isn't
    ' usually done, but there are circumstances where it may be needed. So, I've provided
    ' this as an example
    ReadOnly Property SpecialDiscountAmount() As Integer
        Get
            Return discount
        End Get
    End Property

    Sub New()

        Me.slogan = "Zoom Zoom!!"
    End Sub

    ' Notice that this overrides a method from it's great-grandparent, the vehicle class, but
    ' SUV nor Car did any overriding.
    Public Overrides Function Buy(ByVal amountOfMoney As Integer) As Boolean
        If Me.Value <= amountOfMoney * (1 + discount) Then
            Return True
        Else
            Return False
        End If
    End Function
End Class