Public Class ParentClass
    ' these data members are available to descendants
    Protected _name As String
    Protected _age As Integer
    ' this data member is no available to descendants
    Private _momName As String

    Public Function Play() As String
        Return "ParentClass.Play"
    End Function

    Public Overridable Function DoSomething() As String
        Return "ParentClass.DoSomething"
    End Function

    Public Overridable Property Name() As String
        Get
            Return _name
        End Get
        Set(ByVal Value As String)
            _name = Value
        End Set
    End Property

    Public Overridable Property Age() As Integer
        Get
            Return _age
        End Get
        Set(ByVal Value As Integer)
            _age = Value
        End Set
    End Property

    Public Property MomName() As String
        Get
            Return _momName
        End Get
        Set(ByVal Value As String)
            _momName = Value
        End Set
    End Property

    Public Sub New()
        _age = 0
        _name = String.Empty
        _momName = String.Empty
    End Sub
End Class
